--Album is "Roadkill" by Entertainment for the Braindead.  CC Non-Commercial
--http://www.aaahh-records.net/entertainment-for-the-braindead-roadkill/


function playSong(songID)
	global.currentSong = love.audio.newSource(global.playlist[songID])
	global.currentSongID = songID
	global.currentSong:setVolume(global.volume) --1 is max, 0 is nothing
	global.currentSong:setLooping(true)
	love.audio.play(global.currentSong)
end

function setPlaylist()
	local songs = {}
	global.playlistMax = 2
	for i = 1, global.playlistMax, 1 do
	songs[i] = "song" .. i .. ".ogg"
	end
	global.playlist = songs
end

function nextSong()
	if global.currentSong ~= nil then
		love.audio.stop(global.currentSong)
	end
	
	local songID
	if global.currentSongID < global.playlistMax then
		songID = global.currentSongID + 1
	else
		songID = 1
	end
	playSong(songID)
end

function volumeDown()
	local songID = global.currentSong

	if global.volume >= 0.1 then
		global.volume = global.volume - .1
	end
	
	if global.volume < 0.1 then
		global.volume = 0
	end
	
	global.currentSong:setVolume(global.volume)
end

function volumeUp()
	if global.volume <= 0.9 then
		global.volume = global.volume + .1
	end
	
	if global.volume > 1 then
		global.volume = 1
	end
	global.currentSong:setVolume(global.volume)
end