function switchPlayer()
	if global.activeSprite == player then
		global.activeSprite = player2
	else
		global.activeSprite =player
	end
end

function solidCheck(x, y, w, h)--tests for colissions when moving the active sprite
	local flag = false -- defaults to no colission
	local theX
	local theY
	for theX = global.gridXStart - 1, global.gridXEnd + 1, 1 do 
		for theY = global.gridYStart - 1, global.gridYEnd + 1, 1 do
			if theX > 0 and theY > 0 and global.spriteGrid[theX][theY] ~=nil then
				if global.spriteGrid[theX][theY]['solid'] == true then
					global.solidTest = global.spriteGrid[theX][theY].width
					local result = collisionCheck(x, y, w, h, global.spriteGrid[theX][theY].x, global.spriteGrid[theX][theY].y, global.spriteGrid[theX][theY].width, global.spriteGrid[theX][theY].height)
					if result == false then
					--do nothing; keep default
					else
						flag = true--collision
					end
				end
			end
		end
	end
	return flag
end

function collisionCheck(box1x, box1y, box1w, box1h, box2x, box2y, box2w, box2h)
    if box1x > box2x + box2w - 1 or -- Is box1 on the right side of box2?
       box1y > box2y + box2h - 1 or -- Is box1 under box2?
       box2x > box1x + box1w - 1 or -- Is box2 on the right side of box1?
       box2y > box1y + box1h - 1    -- Is b2 under b1?
    then
        return false               -- No collision. Yay!
    else
        return true                 -- Yes collision. Ouch!
    end
end

function zoomIn()
	if global.scale < 5.99 then
		global.scale = global.scale + 0.1
	end
end

function zoomOut()
	if global.scale > 0.2 then
		global.scale = global.scale - 0.1
	end
end

function love.quit()
	return false
end