function love.draw()
	global.camera:setCenter()
	global.camera:prep()
	setGrid()
	drawStuff()
	player:draw()--conslidate into drawPlayers function
	player2:draw()
	global.camera:done()
	drawUI()
end

function setGrid()
	global.gridXStart = math.floor((global.camera.centerX - (global.screenW/2/global.scale)) / global.spriteSize)
	global.gridXEnd = math.floor((global.camera.centerX + (global.screenW/2)/global.scale) / global.spriteSize)
	global.gridYStart = math.floor((global.camera.centerY - (global.screenH/2)/global.scale) / global.spriteSize)
	global.gridYEnd = math.floor((global.camera.centerY + (global.screenH/2)/global.scale) / global.spriteSize)
	
end

function drawUI()	
	love.graphics.draw(rightUI, global.screenW - global.rightUI, 0)
	love.graphics.draw(leftUI, 0, 0)
	love.graphics.draw(topUI, 0, 0)
	love.graphics.draw(bottomUI, 0, global.screenH - global.bottomUI)
	
	
	local x = global.mouseX 
	local y = global.mouseY
	x = global.camera:relMouseX()
	y = global.camera:relMouseY()
	local fps = love.timer.getFPS( )
	
	
	
	love.graphics.print('Speed: '..global.speed..'  Song # ' .. global.currentSongID .. '\nVolume: ' .. global.volume .. '  FPS: ' .. fps .. ' scale: ' .. global.scale , 0, 0)
	love.graphics.print('switch characters: x | control speed: a and s \n control volume: [ and ] | skip to next song: \\' .. ' | control scale: i and o', 0, global.screenH - global.bottomUI)
-- .. '\n px: ' .. global.activeSprite:centerX() .. ' py: ' ..global.activeSprite:centerY() .. '\n cx: ' .. global.camera.centerX .. ' cy: ' .. global.camera.centerY .. '\ntx: ' .. global.camera.xTrans .. ' ty: ' .. global.camera.yTrans .. '\n mx: ' .. x .. ' my: ' .. y .. '\n' ..global.moving
	
end

function drawStuff()
	local theX
	local theY
	for theX = global.gridXStart - 1, global.gridXEnd + 1, 1 do 
		for theY = global.gridYStart - 1, global.gridYEnd + 1, 1 do
			if theX > 0 and theY > 0 and global.spriteGrid[theX][theY] ~= nil then
				global.spriteGrid[theX][theY]:draw()
			end
		end
	end
	
	
end

function createMap()
	local x
	local y
	local solids = {}
	local tiles = {}
	local theSprite
	local theSource
	local character
	local theCharacter
	local length
	local spriteGrid = {}
	c=0
	r=1
	for length = 1, string.len(global.mapBlueprint), 1 do
		theCharacter = string.sub(global.mapBlueprint, length, length)
		if theCharacter == '\n' or theCharacter == '\r' then
			r = r + 1
			c = 0
		else
			theSprite = tile:new()
			theSource = global.spriteBlueprint[theCharacter]
			c = c + 1
			if theSource == nil then
				theSource = global.spriteBlueprint['error']
			end
			theSprite:initialize(theSource['img'])
			x = (c-1)*theSprite.width
			y = (r-1)*theSprite.height + global.topUI
			theSprite.x = x
			theSprite.y = y
			if theSource['solid'] == true then
				theSprite.solid = true
			else
				theSprite.solid = false
			end
			if spriteGrid[c] == nil then
				spriteGrid[c] = {}
			end
			spriteGrid[c][r] = theSprite
		end
	end
	theSprite = nil
	global.spriteGrid = spriteGrid
end