love.filesystem.setIdentity("myGame")--sets name of directory files will save to

topUI = love.graphics.newImage('topUI.png')--temp globals; replace later on
bottomUI = love.graphics.newImage('bottomUI.png')
leftUI = love.graphics.newImage('leftUI.png')
rightUI = love.graphics.newImage('rightUI.png')


global = {}
global.speed = 500
global.fontSize = 14
global.font = love.graphics.newFont(global.fontSize)--default font
global.spriteRows = 4
global.spritesPerRow = 4
global.mouseX = love.mouse.getX() -- kept current in update loop
global.mouseY = love.mouse.getY()
global.screenW = 800
global.screenH = 600
global.cameraW = 600
global.cameraH = 400
global.timeValue = 0 -- kept current in update loop
global.volume = 0;

global.currentMap = require 'map1'

global.topUI = (global.fontSize*2.5)
global.bottomUI = 49
global.leftUI = 50
global.rightUI = 50


global.cameraTopOffset = global.topUI
global.cameraLeftOffset = 20
global.scale = 1

global.solids = {}
global.tiles = {}
global.spriteHolder = {}

global.moving = "false"

global.activeRadius = 25
function love.load()
	love.graphics.setMode(global.screenW, global.screenH, false, true, 0)
	love.graphics.setCaption("My First Game!")
	love.graphics.setFont(global.font)
	player = sprite:new()
	player:initialize('player.png')
	player2 = sprite:new()
	player2:initialize('player2.png')
	player2.y = 80
	player2.x = 50
	player.x = 100
	player.y = 80
	global.activeSprite = player
	--createWalls()
	createMap()
	setPlaylist()
	playSong(1)
	global.camera = camera:new()
	global.camera:initialize()
	--[[ These will need to be reset with every zoom:--]]
	--setScreenCheckValues()
end